Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.etee.commons.core.v1
Enum CheckDigitType

    java.lang.Object
      java.lang.Enum<CheckDigitType>
          be.fgov.ehealth.etee.commons.core.v1.CheckDigitType

All Implemented Interfaces:
  Serializable, Comparable<CheckDigitType>

    public enum CheckDigitType

extends Enum<CheckDigitType>

Java class for CheckDigitType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CheckDigitType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="CHECK-MOD-97"/>
         <enumeration value="CHECK-97-MOD-97"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`CHECK_97_MOD_97`
`CHECK_MOD_97`

Method Summary
`static CheckDigitType` | `fromValue(String v)`
`String` | `value()`
`static CheckDigitType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CheckDigitType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CHECK_MOD_97

    public static final CheckDigitType CHECK_MOD_97

### CHECK_97_MOD_97

    public static final CheckDigitType CHECK_97_MOD_97

Method Detail

### values

    public static CheckDigitType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CheckDigitType c : CheckDigitType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CheckDigitType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CheckDigitType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.